
; Equates and Spaces

	IF	ROM+TNC2	; &&&
; ROM CODE system defs for TNC2
CODEBAS	EQU	0000H		; start	of ROM
ENDCODE	EQU	17FFH		; end of ROM
RAMSTRT	EQU	08000H		; start of system RAM
BSSBASE	EQU	0FFA0H		; start	of BSS
STK	EQU	0FFA0H		; system stack
USRSTK	EQU	0FF00H		; user's stack;	give mon LOTS of space
BPTRAP	EQU	0F7H		; instruction for BREAKPOINT
	ENDIF
	IF	DEV+TNC2	; &&&
; Development system defs for TNC2
CODEBAS	EQU	08000H		; start	of code
ENDCODE	EQU	097FFH		; end of code
RAMSTRT	EQU	08000H		; start of system RAM
BSSBASE	EQU	0FC00H		; start	of BSS
STK	EQU	0FB80H		; system stack
USRSTK	EQU	0FA00H		; user's stack
BPTRAP	EQU	0FFH		; instruction for BREAKPOINT
INTLOC	EQU	0FFFDH		; int jump vector location
	ENDIF
	IF	XTEST		; if unspecified controller
; Development system defs for test
CODEBAS	EQU	0E000H		; start	of ROM
ENDCODE	EQU	0F5FFH		; end of ROM
BSSBASE	EQU	0FC00H		; start	of BSS
STK	EQU	0FB80H		; system stack
USRSTK	EQU	0FA00H		; user's stack
BPTRAP	EQU	0FFH		; instruction for BREAKPOINT
INTLOC	EQU	0FFFDH		; int jump vector location
;BRDLY	EQU	127		; bit time for 1200 bps
BRDLY	EQU	11		; bit time for 9600 bps
IPORT0	EQU	01FH		; input port address
OPORT0	EQU	05FH		; output port address
	ENDIF

; scope loop test constants
	IF	TNC2
SLTIOA	EQU	0DFH		; SIO B control address
SLTIOP	EQU	2H		; pt to interrupt vector
	ENDIF

; port locations
	IF	TNC2		; if TAPR TNC2
SIOBD	EQU	0DEH		; SIOB data address
SIOBC	EQU	0DFH		; SIOB control address
	ENDIF

; magic values
BPMN	EQU	3CC3H		; magic # for outstanding break-point

; state	0 flags	(S0)
BP00	EQU	0		; 1 if BKPOINT 0 is set
BP10	EQU	1		; 1 if BKPOINT 1 is set

; ASCII	Character constants
ANULL	EQU	0		; Ascii	NULL
AAPOS	EQU	27H		; Ascii	APOS
ABELL	EQU	7H		; Ascii	bell
ABS	EQU	08H		; Ascii	back-space
ACR	EQU	0DH		; Ascii	\r
ATAB	EQU	09H		; Ascii	\t
ADL	EQU	7FH		; Ascii	delete
AESC	EQU	1BH		; Ascii	Escape
ALF	EQU	0AH		; Ascii	\n
ANL	EQU	0AH		; Ascii	\n
ASPACE	EQU	20H		; Ascii	' '
AXON	EQU	'Q'&1FH		; Ascii	^Q
NOC	EQU	0FFH		; no char
